corda / net.corda.node.services.config / FullNodeConfiguration

# FullNodeConfiguration

`class FullNodeConfiguration : NodeConfiguration`

baseDirectory is not retrieved from the config file but rather from a command line argument.

### Constructors

<init> | `FullNodeConfiguration(baseDirectory: Path, config: Config)` baseDirectory is not retrieved from the config file but rather from a command line argument.

### Properties

artemisAddress | `val artemisAddress: HostAndPort`
baseDirectory | `val baseDirectory: Path`
certificateSigningService | `val certificateSigningService: URL`
config | `val config: Config`
dataSourceProperties | `val dataSourceProperties: Properties`
devMode | `val devMode: Boolean`
emailAddress | `val emailAddress: String`
exportJMXto | `val exportJMXto: String`
extraAdvertisedServiceIds | `val extraAdvertisedServiceIds: List<String>`
keyStorePassword | `val keyStorePassword: String`
messagingServerAddress | `val messagingServerAddress: HostAndPort?`
myLegalName | `val myLegalName: String`
nearestCity | `val nearestCity: String`
networkMapService | `val networkMapService: NetworkMapInfo?`
notaryClusterAddresses | `val notaryClusterAddresses: List<HostAndPort>`
notaryNodeAddress | `val notaryNodeAddress: HostAndPort?`
rpcAddress | `val rpcAddress: HostAndPort?`
rpcUsers | `val rpcUsers: List<User>`
trustStorePassword | `val trustStorePassword: String`
useHTTPS | `val useHTTPS: Boolean`
useTestClock | `val useTestClock: Boolean`
webAddress | `val webAddress: HostAndPort`

### Inherited Properties

certificatesDirectory | `open val certificatesDirectory: Path`

### Functions

createNode | `fun createNode(): Node`

### Extension Functions

configureDevKeyAndTrustStores | `fun SSLConfiguration.configureDevKeyAndTrustStores(myLegalName: String): Unit`
configureWithDevSSLCertificate | `fun NodeConfiguration.configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.